发布
curl --request GET \
--url https://api.aisa.one/apis/v1/instagram/post \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/instagram/post"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/instagram/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"xdt_shortcode_media": {
"id": "3657869083548472514",
"shortcode": "DLDXI0fylTC",
"__typename": "XDTGraphVideo",
"thumbnail_src": "https://scontent-iad3-1.cdninstagram.com/v/t51.2885-15/509601086_18503874985017172_8563682873145552176_n.jpg?stp=c0.469.1206.1206a_dst-jpg_e35_s640x640_sh0.08_tt6&_nc_ht=scontent-iad3-1.cdninstagram.com&_nc_cat=104&_nc_oc=Q6cZ2QE_dnPQQ4wu9mDyMWXNHRAYOB8jcOQ_TxJE9VRReZUTgEUIXch0-khNb8H5VcwinCc&_nc_ohc=3V4jFXtydQsQ7kNvwHQ3Qp8&_nc_gid=aG9nPhpAiGuGUrkmWPrm6Q&edm=ANTKIIoBAAAA&ccb=7-5&oh=00_AfOjs7er3gUbnHBBBBsi_iqeOOKHtqNfw1AFLrOYfXTVDQ&oe=685A2AED&_nc_sid=d885a2",
"display_url": "https://scontent-iad3-1.cdninstagram.com/v/t51.2885-15/509601086_18503874985017172_8563682873145552176_n.jpg?stp=dst-jpg_e35_p1080x1080_sh0.08_tt6&_nc_ht=scontent-iad3-1.cdninstagram.com&_nc_cat=104&_nc_oc=Q6cZ2QE_dnPQQ4wu9mDyMWXNHRAYOB8jcOQ_TxJE9VRReZUTgEUIXch0-khNb8H5VcwinCc&_nc_ohc=3V4jFXtydQsQ7kNvwHQ3Qp8&_nc_gid=aG9nPhpAiGuGUrkmWPrm6Q&edm=ANTKIIoBAAAA&ccb=7-5&oh=00_AfO_siFFGU1ggTsVsukqx_uxf69WPySR5tDouIn7xN604A&oe=685A2AED&_nc_sid=d885a2",
"video_url": "https://scontent-iad3-2.cdninstagram.com/o1/v/t16/f2/m86/AQPIiBLJBqG6YM9FzeabZmQkGTo94LpWkFoXGZJKZzy1TmBaeQneYOCvLLIE9oatPQwWEFvodXRGHTKQmyBOxJfo3UbjavdoyajuoZA.mp4?stp=dst-mp4&efg=eyJxZV9ncm91cHMiOiJbXCJpZ193ZWJfZGVsaXZlcnlfdnRzX290ZlwiXSIsInZlbmNvZGVfdGFnIjoidnRzX3ZvZF91cmxnZW4uY2xpcHMuYzIuNzIwLmJhc2VsaW5lIn0&_nc_cat=103&vs=1061284792789338_358197508&_nc_vs=HBksFQIYUmlnX3hwdl9yZWVsc19wZXJtYW5lbnRfc3JfcHJvZC84NTQxMUYyMDM1NDdDN0E4ODc4N0FDRUIyMUUyRDQ4OV92aWRlb19kYXNoaW5pdC5tcDQVAALIARIAFQIYOnBhc3N0aHJvdWdoX2V2ZXJzdG9yZS9HTk1hVGg1M1FKWnRBWG9FQUF3Y2JiN3gyZkVSYnFfRUFBQUYVAgLIARIAKAAYABsAFQAAJuzxz6DikvE%2FFQIoAkMzLBdAVSqfvnbItBgSZGFzaF9iYXNlbGluZV8xX3YxEQB1%2Fgdl5p0BAA%3D%3D&_nc_rid=b32127cffa&ccb=9-4&oh=00_AfMDvtWEdtNwN65iaFnkXOOEtR-W6ttellTLNCr3L_dovA&oe=68562DB4&_nc_sid=d885a2",
"has_audio": true,
"accessibility_caption": null,
"video_view_count": 0,
"video_play_count": 425901,
"product_type": "clips",
"video_duration": 84.666,
"clips_music_attribution_info": {
"artist_name": "jane",
"song_name": "Original audio",
"uses_original_audio": true,
"should_mute_audio": false,
"should_mute_audio_reason": "",
"audio_id": "3011705342342322"
},
"is_video": true,
"owner": {
"id": "21393171",
"username": "jane",
"is_verified": true,
"profile_pic_url": "https://scontent-iad3-2.cdninstagram.com/v/t51.2885-19/482782944_496357423346018_5818268903424754264_n.jpg?stp=dst-jpg_s150x150_tt6&_nc_ht=scontent-iad3-2.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QE_dnPQQ4wu9mDyMWXNHRAYOB8jcOQ_TxJE9VRReZUTgEUIXch0-khNb8H5VcwinCc&_nc_ohc=UOwY1iuLY14Q7kNvwGxpnGC&_nc_gid=aG9nPhpAiGuGUrkmWPrm6Q&edm=ANTKIIoBAAAA&ccb=7-5&oh=00_AfMoD70mIn__G3PAJReI4bkQpSODkCurTmjbCMJiB2vxvA&oe=685A30E8&_nc_sid=d885a2",
"blocked_by_viewer": false,
"restricted_by_viewer": null,
"followed_by_viewer": false,
"full_name": "Jane Williamson",
"has_blocked_viewer": false,
"is_embeds_disabled": false,
"is_private": false,
"is_unpublished": false,
"requested_by_viewer": false,
"pass_tiering_recommendation": true,
"edge_owner_to_timeline_media": {
"count": 1599
},
"edge_followed_by": {
"count": 1565363
}
},
"edge_media_to_caption": {
"edges": [
{
"node": {
"created_at": "1750272153",
"text": "I think I like this goosey life🪿☺️🍃\n\n#crunchy #crunchymom #dayinthelife #holistic #nontoxic #homeschool #crunchymoms #momhumor #momlife #jane #janeinsane",
"id": "17894844171126505"
}
}
]
},
"edge_media_to_parent_comment": {
"count": 299,
"page_info": {
"has_next_page": true,
"end_cursor": "{\"server_cursor\": \"QVFBbUdFZ185QlVSSVF4S1ZwTjV0SUZidGp6ZDNGeDV2eWQwbTY0bkw4U3pQLWVFaXU0MUI3UnRJMGJxOF96S3hYWVBHZmpyaFB5VlkwSV9aLUFNMTROeQ==\", \"is_server_cursor_inverse\": true}"
},
"edges": [
{
"node": {
"id": "18347526892092420",
"text": "HAHAHAAHAHAHHA gonna read your TESIS! 😂",
"created_at": 1750359820,
"did_report_as_spam": false,
"owner": {
"id": "6033455441",
"is_verified": false,
"profile_pic_url": "https://scontent-iad3-1.cdninstagram.com/v/t51.2885-19/483471395_1164389188513903_6044431802761779055_n.jpg?stp=dst-jpg_s150x150_tt6&_nc_ht=scontent-iad3-1.cdninstagram.com&_nc_cat=107&_nc_oc=Q6cZ2QE_dnPQQ4wu9mDyMWXNHRAYOB8jcOQ_TxJE9VRReZUTgEUIXch0-khNb8H5VcwinCc&_nc_ohc=QOCwy1KWd8QQ7kNvwHF1ucI&_nc_gid=aG9nPhpAiGuGUrkmWPrm6Q&edm=ANTKIIoBAAAA&ccb=7-5&oh=00_AfNWvGEpjWjHfQ-tkxIVoD62tUng8W2U3ohE43g2A1haFQ&oe=685A200D&_nc_sid=d885a2",
"username": "wellness_byflor"
},
"viewer_has_liked": false,
"edge_liked_by": {
"count": 0
},
"is_restricted_pending": false,
"edge_threaded_comments": {
"count": 0,
"page_info": {
"has_next_page": false,
"end_cursor": null
},
"edges": []
}
}
}
]
},
"edge_media_preview_comment": {
"count": 299,
"edges": [
{
"node": {
"id": "18086391994676491",
"text": "Best one to date lol 😂",
"created_at": 1750359443,
"did_report_as_spam": false,
"owner": {
"id": "5944090666",
"is_verified": false,
"profile_pic_url": "https://scontent-iad3-2.cdninstagram.com/v/t51.2885-19/482803017_667846065679007_6441202725191295011_n.jpg?stp=dst-jpg_s150x150_tt6&_nc_ht=scontent-iad3-2.cdninstagram.com&_nc_cat=111&_nc_oc=Q6cZ2QE_dnPQQ4wu9mDyMWXNHRAYOB8jcOQ_TxJE9VRReZUTgEUIXch0-khNb8H5VcwinCc&_nc_ohc=nUG_gQrKtH0Q7kNvwFa2kyY&_nc_gid=aG9nPhpAiGuGUrkmWPrm6Q&edm=ANTKIIoBAAAA&ccb=7-5&oh=00_AfM93kEdG8m010pLpqUXaLPxV14fzT8W9WA2dNpoq_duUw&oe=685A4010&_nc_sid=d885a2",
"username": "homeswithgrantevans"
},
"viewer_has_liked": false,
"edge_liked_by": {
"count": 0
},
"is_restricted_pending": false
}
}
]
},
"taken_at_timestamp": 1750272151,
"is_ad": false,
"edge_media_preview_like": {
"count": 22926,
"edges": []
},
"is_affiliate": false,
"is_paid_partnership": false,
"location": null
}
}
}Instagram API
发布
发布
GET
https://api.aisa.one/apis/v1
/
instagram
/
post
发布
按 URL 获取单个帖子的完整详情,包括媒体、说明文字、作者和互动数据。
示例
curl "https://api.aisa.one/apis/v1/instagram/post?url=VALUE" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
AIsa API 密钥。前往 https://aisa.one 获取
查询参数
Instagram 帖子或短视频 URL
用于设置代理的两位国家/地区代码
设置为 true 以获取精简响应
设置为 true 可下载视频/图片并获取永久 Supabase URL。如果找到媒体,则消耗 10 个积分,否则消耗 1 个积分。
⌘I